function Out = line2double(S, D)
%
% STRCLIP clips a string into two part.
%    Out = STRCLIP(S,D,F), where S is the string which will be clipped
%    by D delimiter. The F is true or false. It depends on Out is the
%    last part of the string or the first part. Note that Out does not
%    contain the delimiter.
%
%    Author : Csaba Domokos (dcs@inf.u-szeged.hu)

idx = strfind(S, D);
if numel(idx) == 0
    Out = S;
    return
end
idx = idx(1);
Out = str2double(S(min(idx + 1, numel(S)) : numel(S)));